> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatnorris.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Excluir fonte

> Excluir uma fonte da base de conhecimento de um agente.

# Excluir fonte de conhecimento

Exclui uma fonte da base de conhecimento e todos os fragmentos indexados dela. O agente deixa de usar essas informações imediatamente.

```http theme={null}
DELETE https://app.chatnorris.ai/api/v2/chatbots/{chatbot_id}/knowledge/{source_id}
Authorization: Bearer <sua_api_key>
```

**Escopo necessário:** `chatbots:write`

***

## Path parameters

| Parâmetro | Tipo | Descrição |
| - | - | - |
| `chatbot_id` | string | ID do agente |
| `source_id` | string | ID da fonte a excluir |

***

## Resposta `200 OK`

```json theme={null}
{
  "status": "success",
  "data": {
    "deleted": true
  }
}
```

***

## Erros comuns

| Code | Descrição |
| - | - |
| `NOT_FOUND` | A fonte não existe ou não pertence ao agente indicado |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.